%define major 1
%define libname %mklibname netcdf_c++4_ %{major}
%define develname %mklibname -d netcdf_c++4

Summary:	Libraries to use the Unidata network Common Data Form (netCDF)
Name:		netcdf-cxx4
Version:	4.2
Release:	%mkrel 3
Group:		Development/C++
License:	NetCDF
URL:		http://www.unidata.ucar.edu/packages/netcdf/index.html
Source0:	http://www.unidata.ucar.edu/downloads/netcdf/ftp/%{name}-%{version}.tar.gz
BuildRequires:  netcdf-devel
BuildRequires:  valgrind
BuildRequires:	texinfo
BuildRequires:	tetex-latex
BuildRequires:	groff

%description
NetCDF (network Common Data Form) is an interface for array-oriented data
access and a freely-distributed collection of software libraries for C, 
Fortran, C++, and perl that provides an implementation of the interface.
The netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the 
creation, access, and sharing of scientific data. The netCDF software was 
developed at the Unidata Program Center in Boulder, Colorado.

NetCDF data is: 

   o Self-Describing. A netCDF file includes information about the data it
     contains. 

   o Network-transparent. A netCDF file is represented in a form that can be 
     accessed by computers with different ways of storing integers, characters,
     and floating-point numbers. 

   o Direct-access. A small subset of a large dataset may be accessed 
     efficiently, without first reading through all the preceding data. 

   o Appendable. Data can be appended to a netCDF dataset along one dimension 
     without copying the dataset or redefining its structure. The structure of 
     a netCDF dataset can be changed, though this sometimes causes the dataset 
     to be copied. 

   o Sharable. One writer and multiple readers may simultaneously access the 
     same netCDF file. 

%package -n	%{libname}
Summary:	C++ libraries for netcdf-4
Group:		System/Libraries

%description -n	%{libname}
This package contains the netCDF-4 C++ libraries.

%package -n	%{develname}
Summary:	Development files for netcdf-4
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}netcdf-devel < 4.2.1.1
Conflicts:	%{_lib}netcdf_c++-devel < 4.2-2

%description -n %{develname}
This package contains the netCDF-4 header files, shared devel libs, and 
man pages.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x --enable-shared --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libnetcdf_c++4.so.%{major}*

%files -n %{develname}
%{_bindir}/ncxx4-config
%{_includedir}/*.h
%{_includedir}/netcdf
%{_libdir}/libnetcdf_c++4.so
%{_libdir}/pkgconfig/netcdf-cxx4.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 4.2-3.mga3
+ Revision: 360987
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 305120
- do not check
- rename devel pacakge
- rename as tarball

* Wed Sep 19 2012 fwang <fwang> 4.2-1.mga3
+ Revision: 296173
- update file list
- update file list
- update tarball dir
- imported package netcdf-c++

